Read a chat
The conversation so far. Poll incrementally by passing the last `cursor` you saw as `after`.
The conversation so far. Poll incrementally by passing the last cursor you saw as after.
Authorization
api_key sessions:readAuthorizationBearer <token>
An atk_-prefixed API key, created under Settings → API keys.
In: header
Scope: sessions:read
Path Parameters
session_id*string
Session id
Format
uuidQuery Parameters
after?|
Return only entries after this cursor. Omit for the whole history.
Format
int64limit?|
Maximum number of entries to return, newest-truncated. Defaults to everything after after.
Range
0 <= valueResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"[ { "created_at": "2019-08-24T14:15:22Z", "cursor": 0, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "role": "user", "seq": 0, "session_id": "1ffd059c-17ea-40a8-8aef-70fd0307db82", "text": "string" }]